---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Reorder task_type_attributes

Reorders task_type_attributes for the task_type by inserting this task_type_attribute before the sibling_id task_type_attribute specified in the request body. If no sibling_id is specified, the task_type_attribute is moved to the end of the order.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "schemas": {
      "reorder_entities_input": {
        "type": "object",
        "description": "Input used to change order among sibling entities",
        "required": [
          "sibling_id"
        ],
        "nullable": false,
        "properties": {
          "sibling_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the sibling that stays where this entity should move to"
          }
        },
        "additionalProperties": false
      },
      "task_type_attribute": {
        "type": "object",
        "description": "Entity that denotes a task type attribute in a Fieldwire project",
        "required": [
          "id",
          "project_id",
          "task_type_id",
          "name",
          "kind",
          "created_at",
          "updated_at",
          "creator_user_id",
          "last_editor_user_id",
          "device_created_at",
          "device_updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "task_type_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the task type this entity belongs to"
          },
          "name": {
            "type": "string",
            "nullable": false,
            "description": "Name of the task type attribute"
          },
          "kind": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Kind value of the Task type attribute"
          },
          "ordinal": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "Ordinal value of the Task type attribute"
          },
          "precision": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "precision value of the Task type attribute"
          },
          "reference_id": {
            "type": "string",
            "format": "uuid",
            "nullable": true,
            "description": "reference id of the Task type attribute"
          },
          "minimum": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "minimum value of the Task type attribute"
          },
          "maximum": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "maximum value of the Task type attribute"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "visible": {
            "type": "boolean",
            "nullable": true,
            "description": "Specifies if task type attribute is visible"
          },
          "always_visible": {
            "type": "boolean",
            "nullable": true,
            "description": "Specifies if task type attribute is always visible"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": true,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/task_types/{task_type_id}/task_type_attributes/{id}/reorder": {
      "put": {
        "summary": "Reorder task_type_attributes",
        "description": "Reorders task_type_attributes for the task_type by inserting this task_type_attribute before the sibling_id task_type_attribute specified in the request body. If no sibling_id is specified, the task_type_attribute is moved to the end of the order.",
        "operationId": "put_task_types_attributes_reorder",
        "tags": [
          "task type attributes"
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id"
          },
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "name": "task_type_id",
            "description": "ID of the task type to reorder task type attribute(s) for",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "id",
            "description": "ID of the task type attribute",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "afea60f5-25d9-4bfe-a47b-4e791a474a62",
                    "creator_user_id": 2530,
                    "last_editor_user_id": 2530,
                    "project_id": "db34e9f9-2bf3-4414-860c-51d58b090fca",
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:53:57.491Z",
                    "updated_at": "2026-10-02T14:53:57.816Z",
                    "device_created_at": "2026-10-02T14:53:57.491Z",
                    "device_updated_at": "2026-10-02T14:53:57.817Z",
                    "deleted_at": null,
                    "task_type_id": "287cb136-8624-47fd-bf59-c71b70d4078b",
                    "name": "taskTypeAttributeName_2",
                    "kind": 21,
                    "ordinal": 1,
                    "visible": true,
                    "reference_id": null,
                    "always_visible": false
                  },
                  {
                    "id": "3bcb6e1d-1857-48d1-91d5-bee5176dbabf",
                    "creator_user_id": 2530,
                    "last_editor_user_id": 2530,
                    "project_id": "db34e9f9-2bf3-4414-860c-51d58b090fca",
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:53:57.517Z",
                    "updated_at": "2026-10-02T14:53:57.819Z",
                    "device_created_at": "2026-10-02T14:53:57.517Z",
                    "device_updated_at": "2026-10-02T14:53:57.819Z",
                    "deleted_at": null,
                    "task_type_id": "287cb136-8624-47fd-bf59-c71b70d4078b",
                    "name": "taskTypeAttributeName_1",
                    "kind": 21,
                    "ordinal": 2,
                    "visible": true,
                    "reference_id": null,
                    "always_visible": false
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/task_type_attribute"
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/reorder_entities_input"
              }
            }
          },
          "required": true
        }
      }
    }
  }
}
```